import React, { useCallback, useEffect, useRef, useState } from 'react';
import { history, Link } from 'umi';
import classNames from 'classnames';
// import { getPersonList, exportPersonList } from '@/services/person';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import { FullscreenOutlined } from '@ant-design/icons';
import { Button } from 'antd';
import { useFullScreen } from './hook';
import Styles from './style.less';

export default (props) => {
  const { style, isFullScreen, onFullScreen } = useFullScreen();

  return (
    <PageHeaderWrapper
      extra={
        <Button icon={<FullscreenOutlined />} onClick={onFullScreen}>
          全屏
        </Button>
      }
    >
      <div
        className={classNames(Styles['screen-page'], { [Styles['full-screen']]: isFullScreen })}
        style={style}
      >
        <div className={Styles.demo}>邓州</div>
      </div>
    </PageHeaderWrapper>
  );
};
